package com.rf.psychological.dao.dto;

import com.rf.psychological.dao.model.CognitiveTaskEntity;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;

/**
 * @Author:zzf
 * @Date:2022/8/16:11:01
 * @Description:
 */
@Setter
@Getter
public class CognitiveTaskEntityDto {
    private String id;

//    查询标志
    private String taskCode;
//    任务说明
    private String description;
//    认知任务名称
    private String name;
//    图片路径
    private String imageUrl;
//    图片名称
    private String imageName;
//    测试任务描述
    private String testDescription;
//    测试次数
    private int testNum;
//    类型：0-量表；1-认知任务
    private String type;
//    分页路径
    private String pageUrl;
//    任务解释
    private String testExplain;
//    状态：0-可用；9-不可用
    private int status;
//    认知任务权限:private 私密  public 公开
    private String scaleLimit;
//    编号，用于排序
    private int no;

//    移动端任务说明
    private String mobileDescription;

//    移动端前台页面路径
    private String mobilePageUrl;

//    移动端测试任务描述
    private String mobileTestDescription;

//    移动端任务状态：0-不可用；1-可用
    private String mobileStatus;

//    报告版本：1-老模板报告；2-新模板报告
    private String reportVersion;

//    类型：1-有练习测试；2-无练习测试
    private String practice;

//    价格
    private double price;

    //    报告页数
    private int reportPages;

    //    任务配图
    private String illustratingPicture;

    //    预计用时（分钟）
    private String estimatedTime;

    //    参考文献
    private String reference;

    //    1热门测试
    private String isHot;

    //    1最新测试
    private String isNew;


    public CognitiveTaskEntityDto(CognitiveTaskEntity cognitiveTaskEntity) {
        this.id = cognitiveTaskEntity.getId();
        this.taskCode = cognitiveTaskEntity.getTaskCode();
        this.description = cognitiveTaskEntity.getDescription();
        this.name = cognitiveTaskEntity.getName();
        this.imageUrl = cognitiveTaskEntity.getImageUrl();
        this.imageName = cognitiveTaskEntity.getImageName();
        this.testDescription = cognitiveTaskEntity.getTestDescription();
        this.testNum = cognitiveTaskEntity.getTestNum();
        this.type = cognitiveTaskEntity.getType();
        this.pageUrl = cognitiveTaskEntity.getPageUrl();
        this.testExplain = cognitiveTaskEntity.getTestExplain();
        this.status = cognitiveTaskEntity.getStatus();
        this.scaleLimit = cognitiveTaskEntity.getScaleLimit();
        this.no = cognitiveTaskEntity.getNo();
        this.mobileDescription = cognitiveTaskEntity.getMobileDescription();
        this.mobilePageUrl = cognitiveTaskEntity.getMobilePageUrl();
        this.mobileTestDescription = cognitiveTaskEntity.getMobileTestDescription();
        this.mobileStatus = cognitiveTaskEntity.getMobileStatus();
        this.reportVersion = cognitiveTaskEntity.getReportVersion();
        this.practice = cognitiveTaskEntity.getPractice();
        this.reportPages = cognitiveTaskEntity.getReportPages();
        this.illustratingPicture = cognitiveTaskEntity.getIllustratingPicture();
        this.estimatedTime = cognitiveTaskEntity.getEstimatedTime();
        this.reference = cognitiveTaskEntity.getReference();
    }
}
